Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.exception
Class CoreException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.birt.core.exception.BirtException
                  org.eclipse.birt.core.exception.CoreException

All Implemented Interfaces:
  java.io.Serializable

    public class CoreException

extends BirtException

Exception thrown by birt.core classes

See Also:
  Serialized Form

Field Summary
`protected static java.lang.String` | `PLUGIN_ID`
`protected static com.ibm.icu.util.UResourceBundle` | `rb`

Fields inherited from class org.eclipse.birt.core.exception.BirtException
`CANCEL, ERROR, INFO, oaMessageArguments, OK, pluginId, severity, sResourceKey, WARNING`

Constructor Summary
`CoreException(java.lang.String errCode)`
`CoreException(java.lang.String errCode, java.lang.Object arg0)`
`CoreException(java.lang.String errCode, java.lang.Object[] args)`
`CoreException(java.lang.String errCode, java.lang.Object[] args, java.lang.Throwable cause)`
`CoreException(java.lang.String errCode, java.lang.Object arg0, java.lang.Throwable cause)`

Method Summary

Methods inherited from class org.eclipse.birt.core.exception.BirtException
`getErrorCode, getLocalizedMessage, getLocalizedMessage, getMessage, getPluginId, getSeverity, setSeverity`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### rb

    protected static com.ibm.icu.util.UResourceBundle rb

### PLUGIN_ID

    protected static java.lang.String PLUGIN_ID

Constructor Detail

### CoreException

    public CoreException(java.lang.String errCode)

### CoreException

    public CoreException(java.lang.String errCode,
                         java.lang.Object arg0)

### CoreException

    public CoreException(java.lang.String errCode,
                         java.lang.Object[] args)

### CoreException

    public CoreException(java.lang.String errCode,
                         java.lang.Object arg0,
                         java.lang.Throwable cause)

### CoreException

    public CoreException(java.lang.String errCode,
                         java.lang.Object[] args,
                         java.lang.Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.